Debian Bug report logs - #728334
ITP: libtree-rb-perl -- Pure-Perl implementation of red-black trees

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Ivan Shmakov <ivan@siamics.net>

Date: Wed, 30 Oct 2013 20:21:02 UTC

Owned by: gregor herrmann <gregoa@debian.org>

Severity: wishlist

Fixed in version libtree-rb-perl/0.500004-1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org:
Bug#728334; Package wnpp. (Wed, 30 Oct 2013 20:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ivan Shmakov <ivan@siamics.net>:
New Bug report received and forwarded. Copy sent to debian-perl@lists.debian.org, wnpp@debian.org. (Wed, 30 Oct 2013 20:21:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ivan Shmakov <ivan@siamics.net>
To: submit@bugs.debian.org
Subject: RFP: libtree-rb-perl: Pure-Perl implementation of red-black trees
Date: Wed, 30 Oct 2013 19:43:54 +0000
Package: wnpp
Severity: wishlist
X-Debbugs-Cc: debian-perl@lists.debian.org
Tags: rfp

* Package name    : libtree-rb-perl
  Version         : 0.500004
  Upstream Author : Arun Prasaad
* URL             : https://metacpan.org/release/ARUNBEAR/Tree-RB-0.500004
* License         : Perl (GPL-1+ or Artistic)
  Programming Lang: Perl
  Description     : Pure-Perl implementation of red-black trees

	This CPAN distribution is one of just a few implementations of
	self-balancing search trees in Perl.  Indeed, other than this
	one, I know of only Tree::AVL and Tree::RedBlack
	(libtree-redblack-perl.)  And, Tree::RB is better than either!

	Namely, this is the /only/ such implementation that allows for
	“inexact” key matching.

	Specifically, the search trees require that the keys are
	elements from an ordered set.  (Contrary to the Perl hashes, for
	instance.)  So, it feels rather natural to be able to request an
	element whose key is “either 8, or the greatest of those
	available not greater than 8.”  And this implementation provides
	such a feature.

	Other than that, the upstream maintainer appears to be
	responsive, and the package – maintained.  (FWIW, the last
	version came this September.)

	TIA.  (And hope to see this one in Debian soon.)

-- 
FSF associate member #7257



Changed Bug title to 'ITP: libtree-rb-perl: Pure-Perl implementation of red-black trees' from 'RFP: libtree-rb-perl: Pure-Perl implementation of red-black trees' Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Wed, 30 Oct 2013 22:00:04 GMT) Full text and rfc822 format available.

Owner recorded as gregor herrmann <gregoa@debian.org>. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Wed, 30 Oct 2013 22:00:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#728334; Package wnpp. (Wed, 30 Oct 2013 22:06:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 30 Oct 2013 22:06:11 GMT) Full text and rfc822 format available.

Message #14 received at 728334@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Ivan Shmakov <ivan@siamics.net>, 728334@bugs.debian.org
Subject: Re: Bug#728334: RFP: libtree-rb-perl: Pure-Perl implementation of red-black trees
Date: Wed, 30 Oct 2013 23:03:35 +0100
[Message part 1 (text/plain, inline)]
On Wed, 30 Oct 2013 19:43:54 +0000, Ivan Shmakov wrote:

> * Package name    : libtree-rb-perl
>   Version         : 0.500004
>   Upstream Author : Arun Prasaad
> * URL             : https://metacpan.org/release/ARUNBEAR/Tree-RB-0.500004
> * License         : Perl (GPL-1+ or Artistic)
>   Programming Lang: Perl
>   Description     : Pure-Perl implementation of red-black trees

> 	TIA.  (And hope to see this one in Debian soon.)

Uploaded to the NEW queue (including its dependency libenum-perl).

Cheers,
gregor
 

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Johnny Cash: I Hung My Head
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Wed, 30 Oct 2013 22:06:14 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: libtree-rb-perl -- Pure-Perl implementation of red-black trees' from 'ITP: libtree-rb-perl: Pure-Perl implementation of red-black trees' Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Sat, 02 Nov 2013 15:18:05 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Sat, 23 Nov 2013 16:03:28 GMT) Full text and rfc822 format available.

Notification sent to Ivan Shmakov <ivan@siamics.net>:
Bug acknowledged by developer. (Sat, 23 Nov 2013 16:03:28 GMT) Full text and rfc822 format available.

Message #23 received at 728334-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 728334-close@bugs.debian.org
Subject: Bug#728334: fixed in libtree-rb-perl 0.500004-1
Date: Sat, 23 Nov 2013 16:00:09 +0000
Source: libtree-rb-perl
Source-Version: 0.500004-1

We believe that the bug you reported is fixed in the latest version of
libtree-rb-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 728334@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated libtree-rb-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 30 Oct 2013 23:02:00 +0100
Source: libtree-rb-perl
Binary: libtree-rb-perl
Architecture: source all
Version: 0.500004-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 libtree-rb-perl - Perl implementation of the Red/Black tree
Closes: 728334
Changes: 
 libtree-rb-perl (0.500004-1) unstable; urgency=low
 .
   * Initial release (closes: #728334).
Checksums-Sha1: 
 bdf1d5b7c340b793520806f84d5b5cd83b00306a 2064 libtree-rb-perl_0.500004-1.dsc
 cc967a602d667b3a81892d99333ee561f9907f6e 30994 libtree-rb-perl_0.500004.orig.tar.gz
 2e63cefd360f7979c1d60e9e8049d8cf0859cd34 1453 libtree-rb-perl_0.500004-1.debian.tar.gz
 e35e0f98b38d4820fe4edff299bb178a9f5acfeb 23742 libtree-rb-perl_0.500004-1_all.deb
Checksums-Sha256: 
 cb057755308e080901af2427eb62a8a5d59c6991eeae21ea5256447202e59172 2064 libtree-rb-perl_0.500004-1.dsc
 299fa875255172b60a28662eed8cb4dc057471538c9e3e09929ba2056b54d9c5 30994 libtree-rb-perl_0.500004.orig.tar.gz
 264c374b679db958017ead4e10c78153ad384f30bc5f56edd89628321b638c9d 1453 libtree-rb-perl_0.500004-1.debian.tar.gz
 745183149d1a8fdca90a9b56d4375bb24d34e2aeb5845896e217104eeefbae75 23742 libtree-rb-perl_0.500004-1_all.deb
Files: 
 78bd991a2208511fc1a8bc3dc9f1546f 2064 perl optional libtree-rb-perl_0.500004-1.dsc
 ac58e8c0aac19489ebc36dc3e6726c20 30994 perl optional libtree-rb-perl_0.500004.orig.tar.gz
 5158723899e778d93921edcd65150363 1453 perl optional libtree-rb-perl_0.500004-1.debian.tar.gz
 caffd786a11cce857528c87281ab782b 23742 perl optional libtree-rb-perl_0.500004-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCAAGBQJScYH3AAoJELs6aAGGSaoGN9IP/RARGyHannj60LZIwvdzTSQC
3EWHL59uTjGuHbn7oyWm9SiX1cs5OE9EGvhLSVnI245mO3Nr9w+d2k2LLPEhChx1
ohvH9uyP686ustLOd4KSwm3kLzmuiIsuZxQhDqXJayQ/IY81vLYrwK8nEYFsm56W
3zExhhnYVRzNhEjA5WL0XxZZU0OyPpSMwStEWqa7Ca1Zrqb3nNC0d6ZJ9UlD9mtU
fPO1Fq/Wj5KZw+WUxMjm06sAJnLIel+/h2FMwxKyZ+ZNf9jiqC1fgk9ekug2ur/2
XR9nZd7oNIv6Vr3hHxlib0jFo8UN0tgTEv7hJ82j8FdCxI+SBz9vnV9uPH0RqrgG
TrF3XjDWt0usABmxNXgXYyJt4uWcY77JnZYO7uER+H/HII8IGfP5tuwtzHPTS7Nm
ITuht9D85HEFwaMgw7N15rb6F1nLxek6n+YvgaO/oSS9Ofyu9et2Xl0tvs8QOXzr
n5DtpzSOQDcsOHJg2ArHe+h8kQUVZzm/pPWnyzTtsQBd/4Kiw0IT6J74xsnfhDiC
o5ZXALDM45CbOWIQjbgOcz8ov3Ws+UA7okcSLhjs0bQiCfXB2xP99cu/T7sPG27n
X6zugbKyNhdHtsTp4ZpGAHg8b0u1qIVemeaYlKJNxO8X0xPqnR+sB0PqqfrEbtEz
IEf2ZrNSk+aWmQyEBGTQ
=85Yw
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 22 Dec 2013 07:26:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:47:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.